Bug 1651020 - pesign rpm macro contains syntax error
Summary: pesign rpm macro contains syntax error
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pesign
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-18 21:28 UTC by John Soros
Modified: 2019-11-27 21:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:21:39 UTC
Type: Bug


Attachments (Terms of Use)
Proposed fix for misquote in pesign rpm macro (896 bytes, text/plain)
2018-11-18 21:28 UTC, John Soros
no flags Details

Description John Soros 2018-11-18 21:28:02 UTC
Created attachment 1507039 [details]
Proposed fix for misquote in pesign rpm macro

Description of problem:
I found this bug when trying to compile my own signed kernel. When specifying pe_signing_cert , the macro has a syntax error in it.

Version-Release number of selected component (if applicable):
# dnf info pesign
Installed Packages
Name         : pesign
Version      : 0.112
Release      : 22.fc28
Arch         : x86_64
Size         : 1.0 M
Source       : pesign-0.112-22.fc28.src.rpm
Repo         : @System
From repo    : fedora
Summary      : Signing utility for UEFI binaries
URL          : https://github.com/vathpela/pesign
License      : GPLv2
Description  : This package contains the pesign utility for signing UEFI binaries as
             : well as other associated tools.

How reproducible:
Every time


Steps to Reproduce:
Add %define pe_signing_cert in kernel.spec (might work as instructed in the rpm macro itself but I have not tested because I build with mock: rpmbuild --define "pe_signing_cert signing key for test2" -ba ...)

Actual results:
Syntax error

Expected results:
Kernel built with specified key

Additional info:

See attachment for proposed fix

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-03-06 09:35:18 UTC
I pushed a fix to dist-git. Please build the package.

Comment 2 Ben Cotton 2019-10-31 19:51:21 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 21:21:39 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.